Skip to content

Add a user reply to one of the caller's support tickets.

POST
/v1/support/{id}/messages
curl --request POST \
--url https://api.share2.us/v1/support/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example", "activity": [ { "event_type": "example", "occurred_at": "2026-04-15T12:00:00Z", "share_public_id": "example", "description": "example" } ] }'
id
required
string format: uuid
Media typeapplication/json
object
body
required
string
<= 20000 characters
activity
Array<object>
<= 25 items
object
event_type
required
string
<= 120 characters
occurred_at
required
string format: date-time
share_public_id
string
<= 128 characters
description
string
<= 280 characters
Examplegenerated
{
"body": "example",
"activity": [
{
"event_type": "example",
"occurred_at": "2026-04-15T12:00:00Z",
"share_public_id": "example",
"description": "example"
}
]
}

Reply appended.

Media typeapplication/json
object
message
required
object
id
required
string format: uuid
ticket_id
string format: uuid
author_type
required
string
Allowed values: user support system
author_email
required
string format: email
body
required
string
<= 20000 characters
created_at
required
string format: date-time
activity
Array<object>
object
event_type
required
string
<= 120 characters
occurred_at
required
string format: date-time
share_public_id
string
<= 128 characters
description
string
<= 280 characters
attachments
Array<object>
object
id
required
string format: uuid
ticket_id
string format: uuid
message_id
string format: uuid
uploader_type
required
string
Allowed values: user support system
file_name
required
string
<= 180 characters
content_type
required
string
Allowed values: text/plain text/markdown application/pdf image/png image/jpeg application/zip
size_bytes
required
integer
<= 5242880
created_at
required
string format: date-time
Example
{
"message": {
"author_type": "user",
"attachments": [
{
"uploader_type": "user",
"content_type": "text/plain"
}
]
}
}

Standard error envelope.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{
"error": {
"code": "quota_exceeded"
}
}